Available in VPC
Get the CA pod logs for a blockchain network.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/networks/{networkId}/cas/{caId}/logs (Korea Region) |
| GET | /api/sgn-v1/networks/{networkId}/cas/{caId}/logs (Singapore Region) |
Request headers
For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
networkId |
Long | Required | Network ID
|
caId |
String | Required | CA ID
|
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
tailLines |
Integer | Optional | Number of lines in the log
|
Request example
The following is a sample request.
curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}/cas/{caId}/logs?tailLines=1000' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
The following describes the response format.
Response body
The following describes the response body.
| Field | Type | Required | Description |
|---|---|---|---|
| log | Plain Text | - | CA pod log |
Response status codes
For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.
Response example
The following is a sample example.
2024/07/30 06:35:08 [INFO] 198.18.0.85:53666 GET /cainfo 200 0 "OK"
2024/07/30 06:35:08 [INFO] 198.18.0.85:53662 GET /cainfo 200 0 "OK"
2024/07/30 06:35:18 [INFO] 198.18.0.85:49936 GET /cainfo 200 0 "OK"
2024/07/30 06:35:18 [INFO] 198.18.0.85:49944 GET /cainfo 200 0 "OK"
2024/07/30 06:35:28 [INFO] 198.18.0.85:39278 GET /cainfo 200 0 "OK"
2024/07/30 06:35:28 [INFO] 198.18.0.85:39280 GET /cainfo 200 0 "OK"
2024/07/30 06:35:38 [INFO] 198.18.0.85:58990 GET /cainfo 200 0 "OK"
2024/07/30 06:35:38 [INFO] 198.18.0.85:58988 GET /cainfo 200 0 "OK"
2024/07/30 06:35:48 [INFO] 198.18.0.85:51776 GET /cainfo 200 0 "OK"
2024/07/30 06:35:48 [INFO] 198.18.0.85:51778 GET /cainfo 200 0 "OK"